Enable/disable module descriptions in help output are confusing
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1329375
Description of problem:

The description for the below options is not right and is confusing.

~]# foreman-installer --help | grep iseap

-[no-]enable-foreman-plugin-openscap Enable 'foreman_plugin_openscap' puppet module (default: true)
--[no-]Jenable-foreman-proxy-plugin-openscap Enable 'foreman_proxy_plugin_openscap' puppet module (default: true)
--foreman-proxy-plugin-openscap-enabled enables/disables the plugin (default: true)

Also if "--[no-]enable-foreman-plugin-openscap" configures the sat6 side stuff and "--[no-Jenable-foreman-proxy-plugin-openscap
configures the capsule side stuff then the description for "--foreman-proxy-plugin-openscap-enabled” as

"enables/disables the plugin " is not at all clear.

This needs to be updated to bring in more clarity.

Version-Release number of selected component (if applicable):
sat62-snap9.0

How reproducible:

Steps to Reproduce:

>

3.

Actual results:

Currently the description for fre]enable-foreman-plugin-openscap and fre]enable-foreman-plugin-openscap ,
uses the words "puppet module" which is incorrect.

Also the requirement/purpose of this --foreman-proxy-plugin-openscap-enabled is not clear.

Expected results:

The description is not clear and needs more detail, something like
--[no-]enable-foreman-plugin-openscap Installs and configures the packages required for Satellite6
--[no-]enable-foreman-proxy-plugin-openscap Installs and configures the packages required for Capsules

--foreman-proxy-plugin-openscap-enabled "< exact description>"
Additional info:

Associated revisions
https://bugzilla.redhat.com/show_bug.cgi?id=1329375

Revision b30a5b5d - 01/10/2017 06:23 AM - Marek Hulan
Fixes #16148 - unify plugins description (#319)

History

#1 - 08/17/2016 09:11 AM - Shlomi Zadok
- Assignee deleted (Shlomi Zadok)

- Target version set to 115

#2 - 08/19/2016 06:34 AM - Marek Hulan
- Project changed from Installer to Kafo

- Subject changed from foreman-installer descriptions for oscap is incorrect to Module descriptions in help output are confusing

Note that this is not related to openscap and is common for all puppet modules we have in our installer. I've asked reporter for possible alternatives
but it's very likely a change that would have to be made in kafo and based on solution also maybe in foreman-installer. Moving this to kafo and will
create a new issue if it's required in installer.

#3 - 12/18/2016 09:51 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/kafo/pull/198 added

#4 - 01/10/2017 06:05 AM - Marek Hulan
- Project changed from Kafo to Installer

- Category set to Foreman modules

#5 - 01/10/2017 06:05 AM - Marek Hulan

- Target version changed from 115t0 1.10.2

#6 - 01/10/2017 06:06 AM - Marek Hulan
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/319 added
- Pull request deleted (https://github.com/theforeman/kafo/pull/198)

#7 - 01/10/2017 07:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|b30a5b5d635048141f500403e7ca297fd33e1137.

#8 - 01/11/2017 03:23 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#9 - 01/11/2017 03:23 AM - Dominic Cleal
- Subject changed from Module descriptions in help output are confusing to Enable/disable module descriptions in help output are confusing

- Assignee changed from Shlomi Zadok to Marek Hulan
